Merge lp:~julian-edwards/maas/add-maas-cluster-packaging into lp:~maas-maintainers/maas/packaging

Proposed by Julian Edwards
Status: Merged
Approved by: Andres Rodriguez
Approved revision: 114
Merged at revision: 99
Proposed branch: lp:~julian-edwards/maas/add-maas-cluster-packaging
Merge into: lp:~maas-maintainers/maas/packaging
Diff against target: 732 lines (+246/-220)
25 files modified
debian/control (+111/-19)
debian/maas-cluster-controller.config (+22/-0)
debian/maas-cluster-controller.dirs (+1/-0)
debian/maas-cluster-controller.install (+12/-0)
debian/maas-cluster-controller.logrotate (+9/-0)
debian/maas-cluster-controller.maas-celery.upstart (+24/-0)
debian/maas-cluster-controller.postinst (+38/-0)
debian/maas-cluster-controller.templates (+6/-0)
debian/maas-common.install (+3/-0)
debian/maas-common.links (+2/-0)
debian/maas-dhcp.config (+0/-26)
debian/maas-dhcp.postinst (+0/-43)
debian/maas-dhcp.templates (+0/-65)
debian/maas-region-controller.config (+3/-3)
debian/maas-region-controller.install (+1/-11)
debian/maas-region-controller.links (+0/-2)
debian/maas-region-controller.lintian-overrides (+7/-7)
debian/maas-region-controller.logrotate (+0/-10)
debian/maas-region-controller.postinst (+3/-9)
debian/maas-region-controller.postrm (+1/-1)
debian/maas-region-controller.prerm (+1/-1)
debian/maas-region-controller.templates (+1/-1)
debian/maas.maas-celery.upstart (+0/-21)
debian/python-django-maas.install (+0/-1)
debian/python-maas-provisioningserver.install (+1/-0)
To merge this branch: bzr merge lp:~julian-edwards/maas/add-maas-cluster-packaging
Reviewer Review Type Date Requested Status
Andres Rodriguez (community) Approve
MAAS Maintainers Pending
Review via email: mp+125427@code.launchpad.net

Commit message

Split packaging into maas-region-controller, maas-cluster-controller, maas-cli, python-maas-client, maas-common

Description of the change

Add a maas-cluster-controller package

To post a comment you must log in.
Revision history for this message
Andres Rodriguez (andreserl) wrote :

It looks overall. There's still things that need to be fixed which will be commited after this branch lands.

review: Approve
Revision history for this message
MAAS Lander (maas-lander) wrote :

No commit message specified.

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'debian/control'
2--- debian/control 2012-09-21 16:54:02 +0000
3+++ debian/control 2012-09-28 07:21:21 +0000
4@@ -11,42 +11,94 @@
5
6 Package: maas
7 Architecture: all
8+Depends: python-django-maas, maas-region-controller, maas-cluster-controller
9+Conflicts: maas-provision, tftpd-hpa, dnsmasq
10+Replaces: maas-provision
11+Description: Ubuntu MAAS Server
12+ Ubuntu MAAS Server is the successor to Orchestra. It offers a
13+ nice UI to provision your Ubuntu servers. Each physical server
14+ (“node”) will be commissioned automatically on first boot.
15+ During the commissioning process administrators are able to
16+ configure hardware settings manually before an automated smoke
17+ test and burn-in test are done. Once commissioned, a node can
18+ be deployed on demand by name, or allocated to a queue for
19+ dynamic allocation to services being deployed on this MAAS.
20+ .
21+ This package installs a complete MAAS service on a single machine.
22+
23+Package: maas-common
24+Architecture: all
25+Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
26+Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
27+Description: Ubuntu MAAS Server
28+ Ubuntu MAAS Server is the successor to Orchestra. It offers a
29+ nice UI to provision your Ubuntu servers. Each physical server
30+ (“node”) will be commissioned automatically on first boot.
31+ During the commissioning process administrators are able to
32+ configure hardware settings manually before an automated smoke
33+ test and burn-in test are done. Once commissioned, a node can
34+ be deployed on demand by name, or allocated to a queue for
35+ dynamic allocation to services being deployed on this MAAS.
36+ .
37+ This package contains common files
38+
39+Package: maas-region-controller
40+Architecture: all
41 Depends: apache2,
42 avahi-daemon,
43- bind9utils,
44 dbconfig-common,
45 distro-info,
46- freeipmi-tools,
47 libapache2-mod-wsgi,
48 libjs-raphael,
49 libjs-yui3-full,
50 libjs-yui3-min,
51+ maas-common (= ${binary:Version}),
52 postgresql-9.1,
53 pwgen,
54 python-django,
55 python-django-maas (= ${binary:Version}),
56 python-django-piston,
57 python-django-south,
58+ python-maas-provisioningserver (= ${binary:Version}),
59 rabbitmq-server,
60 rsyslog,
61 squid-deb-proxy,
62- syslinux-common,
63- tgt,
64- wget,
65 ${misc:Depends},
66 ${python:Depends}
67-Recommends: openssh-server, maas-dns, maas-dhcp
68-Conflicts: maas-provision, tftpd-hpa, dnsmasq
69-Replaces: maas-provision
70-Description: Ubuntu MAAS Server
71- Ubuntu MAAS Server is the successor to Orchestra. It offers a
72- nice UI to provision your Ubuntu servers. Each physical server
73- (“node”) will be commissioned automatically on first boot.
74- During the commissioning process administrators are able to
75- configure hardware settings manually before an automated smoke
76- test and burn-in test are done. Once commissioned, a node can
77- be deployed on demand by name, or allocated to a queue for
78- dynamic allocation to services being deployed on this MAAS.
79+Recommends: openssh-server
80+Suggests: maas-dns
81+Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
82+Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
83+Description: Ubuntu MAAS Server
84+ Ubuntu MAAS Server is the successor to Orchestra. It offers a
85+ nice UI to provision your Ubuntu servers. Each physical server
86+ (“node”) will be commissioned automatically on first boot.
87+ During the commissioning process administrators are able to
88+ configure hardware settings manually before an automated smoke
89+ test and burn-in test are done. Once commissioned, a node can
90+ be deployed on demand by name, or allocated to a queue for
91+ dynamic allocation to services being deployed on this MAAS.
92+ .
93+ This package installs the region controller services: the web
94+ UI and the database.
95+
96+Package: python-maas-provisioningserver
97+Architecture: all
98+Depends: ${misc:Depends},
99+ ${python:Depends}
100+Conflicts: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
101+Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
102+Description: Ubuntu MAAS Server
103+ Ubuntu MAAS Server is the successor to Orchestra. It offers a
104+ nice UI to provision your Ubuntu servers. Each physical server
105+ (“node”) will be commissioned automatically on first boot.
106+ During the commissioning process administrators are able to
107+ configure hardware settings manually before an automated smoke
108+ test and burn-in test are done. Once commissioned, a node can
109+ be deployed on demand by name, or allocated to a queue for
110+ dynamic allocation to services being deployed on this MAAS.
111+ .
112+ This package contains the provisioning server libraries.
113
114 Package: maas-cli
115 Architecture: all
116@@ -87,6 +139,46 @@
117 .
118 This package contains the client API Python modules.
119
120+Package: maas-cluster-controller
121+Architecture: all
122+Depends: bind9utils,
123+ freeipmi-tools,
124+ maas-cli (=${binary:Version}),
125+ maas-common (=${binary:Version}),
126+ python-celery,
127+ python-httplib2,
128+ python-lockfile,
129+ python-maas-provisioningserver (=${binary:Version}),
130+ python-netaddr,
131+ python-oauth,
132+ python-tempita,
133+ python-twisted,
134+ python-txtftp,
135+ python-zope.interface,
136+ rabbitmq-server,
137+ rsyslog,
138+ syslinux-common,
139+ tgt,
140+ wget,
141+ ${misc:Depends},
142+ ${python:Depends}
143+Suggests: maas-dhcp (= ${binary:Version})
144+Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
145+Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
146+Description: Ubuntu MAAS Cluster Controller
147+ Ubuntu MAAS Server is the successor to Orchestra. It offers a
148+ nice UI to provision your Ubuntu servers. Each physical server
149+ (“node”) will be commissioned automatically on first boot.
150+ During the commissioning process administrators are able to
151+ configure hardware settings manually before an automated smoke
152+ test and burn-in test are done. Once commissioned, a node can
153+ be deployed on demand by name, or allocated to a queue for
154+ dynamic allocation to services being deployed on this MAAS.
155+ .
156+ This package contains the cluster controller, which is
157+ responsible for controlling remote DHCP/TFTP instances on their
158+ own subnets.
159+
160 Package: python-django-maas
161 Section: python
162 Architecture: all
163@@ -126,7 +218,7 @@
164
165 Package: maas-dhcp
166 Architecture: all
167-Depends: maas (= ${binary:Version}), isc-dhcp-server
168+Depends: ${misc:Depends}, isc-dhcp-server
169 Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
170 Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
171 Description: Ubuntu MAAS Server - DHCP Configuration (meta-package)
172@@ -143,7 +235,7 @@
173
174 Package: maas-dns
175 Architecture: all
176-Depends: ${misc:Depends}, maas (= ${binary:Version}), bind9
177+Depends: ${misc:Depends}, maas-dhcp (= ${binary:Version}), bind9
178 Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
179 Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
180 Description: Ubuntu MAAS Server - DNS configuration (metapackage)
181
182=== added file 'debian/maas-cluster-controller.config'
183--- debian/maas-cluster-controller.config 1970-01-01 00:00:00 +0000
184+++ debian/maas-cluster-controller.config 2012-09-28 07:21:21 +0000
185@@ -0,0 +1,22 @@
186+#!/bin/sh -e
187+
188+# Only ask for new installations and reconfiguring.
189+# XXX Fix to not ask during new installations when upgrading from the old
190+# maas package or installing from the CD.
191+if ([ "$1" = "configure" ] && [ -z "$2" ]) || [ "$1" = "reconfigure" ]; then
192+ . /usr/share/debconf/confmodule
193+
194+ db_get maas-cluster-controller/maas-url || true
195+ if [ -n "$RET" ]; then
196+ db_set maas-cluster-controller/maas-url "$RET"
197+ else
198+ # Attempt to pre-populate if installing on the region controller.
199+ if [ -e /etc/maas/maas_local_settings.py ]; then
200+ url=$(awk '$1 == "DEFAULT_MAAS_URL" { split($0,array,"\"")} END{print array[2] }' /etc/maas/maas_local_settings.py)
201+ db_set maas-cluster-controller/maas-url "$url"
202+ fi
203+ fi
204+ db_input high maas-cluster-controller/maas-url || true
205+ db_go
206+fi
207+#DEBHELPER#
208
209=== added file 'debian/maas-cluster-controller.dirs'
210--- debian/maas-cluster-controller.dirs 1970-01-01 00:00:00 +0000
211+++ debian/maas-cluster-controller.dirs 2012-09-28 07:21:21 +0000
212@@ -0,0 +1,1 @@
213+etc/maas
214
215=== added file 'debian/maas-cluster-controller.install'
216--- debian/maas-cluster-controller.install 1970-01-01 00:00:00 +0000
217+++ debian/maas-cluster-controller.install 2012-09-28 07:21:21 +0000
218@@ -0,0 +1,12 @@
219+# Install twisted plugins
220+twisted/plugins/maasps.py usr/share/pyshared/twisted/plugins
221+
222+# Install PSERV config file
223+debian/tmp/etc/maas/pserv.yaml
224+
225+# Install cluster config file
226+debian/tmp/etc/maas/maas_cluster.conf
227+
228+# Install all other stuff
229+debian/extras/99-maas-sudoers etc/sudoers.d
230+debian/extras/maas-provision usr/sbin
231
232=== added file 'debian/maas-cluster-controller.logrotate'
233--- debian/maas-cluster-controller.logrotate 1970-01-01 00:00:00 +0000
234+++ debian/maas-cluster-controller.logrotate 2012-09-28 07:21:21 +0000
235@@ -0,0 +1,9 @@
236+/var/log/maas/pserv.log {
237+ rotate 5
238+ weekly
239+ compress
240+ missingok
241+ postrotate
242+ [ -r /var/run/maas-pserv.pid ] && kill -s USR2 $(cat /var/run/maas-pserv.pid) || true
243+ endscript
244+}
245
246=== added file 'debian/maas-cluster-controller.maas-celery.upstart'
247--- debian/maas-cluster-controller.maas-celery.upstart 1970-01-01 00:00:00 +0000
248+++ debian/maas-cluster-controller.maas-celery.upstart 2012-09-28 07:21:21 +0000
249@@ -0,0 +1,24 @@
250+# maas-cluster-controller - provisioning service
251+#
252+# MAAS Cluster Controller Service
253+
254+description "MAAS Cluster Controller"
255+author "Julian Edwards <julian.edwards@canonical.com>"
256+
257+start on filesystem and net-device-up
258+stop on runlevel [016]
259+
260+env CONFIG_FILE=/etc/maas/maas_cluster.conf
261+
262+pre-start script
263+ if [ ! -f $CONFIG_FILE ]; then
264+ echo "$CONFIG_FILE does not exist. Aborting."
265+ stop
266+ exit 0
267+ fi
268+end script
269+
270+script
271+ . $CONFIG_FILE # sets MAAS_URL
272+ exec /usr/sbin/maas-provision start-cluster-controller $MAAS_URL
273+end script
274
275=== renamed file 'debian/maas.maas-pserv.upstart' => 'debian/maas-cluster-controller.maas-pserv.upstart'
276=== added file 'debian/maas-cluster-controller.postinst'
277--- debian/maas-cluster-controller.postinst 1970-01-01 00:00:00 +0000
278+++ debian/maas-cluster-controller.postinst 2012-09-28 07:21:21 +0000
279@@ -0,0 +1,38 @@
280+#!/bin/sh -e
281+
282+. /usr/share/debconf/confmodule
283+db_version 2.0
284+
285+add_user_group(){
286+ local user="maas"
287+ local group="maas"
288+ if ! getent group "$group" >/dev/null; then
289+ addgroup --quiet --system "$group" || true
290+ fi
291+ if ! getent passwd "$user" > /dev/null 2>&1; then
292+ adduser --quiet \
293+ --system \
294+ --group \
295+ --no-create-home \
296+ "$user" || true
297+ fi
298+}
299+
300+if [ "$1" = "configure" ] && [ -z "$2" ]; then
301+ add_user_group
302+
303+ if grep -qs "^CLUSTER_UUID\ \= None$" /etc/maas/maas_local_celeryconfig.py; then
304+ local uuid="$(uuidgen)"
305+ sed -i "s|^CLUSTER_UUID\ \= None$|CLUSTER_UUID = '"$uuid"'|" \
306+ /etc/maas/maas_local_celeryconfig.py
307+ fi
308+fi
309+
310+if ([ "$1" = "configure" ] && [ -z "$2" ]) || [ "$1" = "reconfigure" ] || [ -n "$DEBCONF_RECONFIGURE" ]; then
311+ # Get the MAAS_URL on configure/reconfigure and write it to the conf file.
312+ db_get maas-cluster-controller/maas-url || true
313+ sed -i "s|MAAS_URL=.*|MAAS_URL="$RET"|" /etc/maas/maas_cluster.conf
314+fi
315+
316+#DEBHELPER#
317+exit 0
318
319=== added file 'debian/maas-cluster-controller.templates'
320--- debian/maas-cluster-controller.templates 1970-01-01 00:00:00 +0000
321+++ debian/maas-cluster-controller.templates 2012-09-28 07:21:21 +0000
322@@ -0,0 +1,6 @@
323+Template: maas-cluster-controller/maas-url
324+Type: string
325+Default: http://<MAAS host>/MAAS
326+_Description: Ubuntu MAAS API address:
327+ The MAAS Cluster Controller needs to contact the MAAS server to
328+ register its presence. Set the URL to the MAAS API here.
329
330=== added file 'debian/maas-common.install'
331--- debian/maas-common.install 1970-01-01 00:00:00 +0000
332+++ debian/maas-common.install 2012-09-28 07:21:21 +0000
333@@ -0,0 +1,3 @@
334+# Install Celery Config
335+debian/tmp/etc/maas/celeryconfig.py
336+debian/tmp/etc/maas/maas_local_celeryconfig.py
337
338=== added file 'debian/maas-common.links'
339--- debian/maas-common.links 1970-01-01 00:00:00 +0000
340+++ debian/maas-common.links 2012-09-28 07:21:21 +0000
341@@ -0,0 +1,2 @@
342+etc/maas/maas_local_celeryconfig.py usr/share/maas/maas_local_celeryconfig.py
343+etc/maas/celeryconfig.py usr/share/maas/celeryconfig.py
344
345=== removed file 'debian/maas-dhcp.config'
346--- debian/maas-dhcp.config 2012-09-14 17:55:18 +0000
347+++ debian/maas-dhcp.config 1970-01-01 00:00:00 +0000
348@@ -1,26 +0,0 @@
349-#!/bin/sh -e
350-
351-# Only ask this question on new installs and reconfigures
352-if ([ "$1" = "configure" ] && [ -z "$2" ]) || [ "$1" = "reconfigure" ]; then
353- . /usr/share/debconf/confmodule
354-
355- db_input high maas-dhcp/maas-dhcp-enabled || true
356- db_go
357- db_get maas-dhcp/maas-dhcp-enabled || true
358- if [ "$RET" = "true" ]; then
359- db_input high maas-dhcp/maas-dhcp-range || true
360- db_go
361- db_input high maas-dhcp/maas-dhcp-netmask || true
362- db_go
363- db_input high maas-dhcp/maas-dhcp-broadcast || true
364- db_go
365- db_input high maas-dhcp/maas-dhcp-gateway || true
366- db_go
367- db_input high maas-dhcp/maas-dhcp-interface || true
368- db_go
369- db_input low maas-dhcp/maas-dhcp-addr || true
370- db_go
371- fi
372-
373-fi
374-#DEBHELPER#
375
376=== modified file 'debian/maas-dhcp.postinst'
377--- debian/maas-dhcp.postinst 2012-09-14 17:55:18 +0000
378+++ debian/maas-dhcp.postinst 2012-09-28 07:21:21 +0000
379@@ -3,49 +3,6 @@
380 . /usr/share/debconf/confmodule
381 db_version 2.0
382
383-if ([ "$1" = "configure" ] && [ -z "$2" ]) || [ "$1" = "reconfigure" ] || [ -n "$DEBCONF_RECONFIGURE" ]; then
384- db_get maas-dhcp/maas-dhcp-enabled || true
385- if [ "$RET" = "true" ]; then
386- # Obtain the DHCP range
387- db_get maas-dhcp/maas-dhcp-range || true
388- range="$RET"
389- range_low=$(echo $range | cut -f1 -d",")
390- range_high=$(echo $range | cut -f2 -d",")
391-
392- # Obtain the netmask
393- db_get maas-dhcp/maas-dhcp-netmask || true
394- netmask="$RET"
395-
396- # Obtain the broadcast
397- db_get maas-dhcp/maas-dhcp-broadcast || true
398- broadcast="$RET"
399-
400- # Obtain the gateway
401- db_get maas-dhcp/maas-dhcp-gateway || true
402- gateway="$RET"
403-
404- # Obtain the interfaces
405- db_get maas-dhcp/maas-dhcp-interface || true
406- interface="$RET"
407-
408- # Obtain the interfaces
409- db_get maas-dhcp/maas-dhcp-addr || true
410- addr="$RET"
411-
412- if [ -z "$addr" ]; then
413- addr=$(ifconfig "$interface" |
414- awk '$1 == "inet" { sub("addr:","",$2); print $2 }')
415- [ -n "$addr" ] ||
416- { echo "failed to get ip for $interface" 1>&2; exit 1; }
417- fi
418-
419- maas config_master_dhcp --ip-range-low="$range_low" --ip-range-high="$range_high" \
420- --router-ip="$gateway" --subnet-mask="$netmask" --broadcast-ip="$broadcast" \
421- --interface="$interface" --ip="$addr"
422- fi
423-
424-fi
425-
426 if [ "$1" = "configure" ]; then
427 dhcpd_prof="/etc/apparmor.d/usr.sbin.dhcpd"
428 if [ -f "${dhcpd_prof}" ] &&
429
430=== removed file 'debian/maas-dhcp.templates'
431--- debian/maas-dhcp.templates 2012-09-14 17:55:18 +0000
432+++ debian/maas-dhcp.templates 1970-01-01 00:00:00 +0000
433@@ -1,65 +0,0 @@
434-Template: maas-dhcp/maas-dhcp-enabled
435-Type: boolean
436-Default: true
437-_Description: Enable Ubuntu MAAS Server managed DHCP:
438- Ubuntu MAAS Server can manage DHCP for address allocation for
439- the provisioned systems. If you manage your DHCP elsewhere,
440- you should disable this option.
441-
442-Template: maas-dhcp/maas-dhcp-range
443-Type: string
444-Default: 192.168.1.5,192.168.1.200
445-_Description: Set the network range for DHCP Clients:
446- Ubuntu MAAS Server can manage DHCP for address allocation for
447- the provisioned systems. If the network range for the DHCP is
448- different from the default (192.168.1.5,192.168.1.200), you
449- should set it here.
450- .
451- An example of how a network range should be specified is:
452- .
453- 192.168.1.5,192.168.1.200
454-
455-Template: maas-dhcp/maas-dhcp-gateway
456-Type: string
457-Default: 192.168.1.1
458-_Description: Set default Gateway for DHCP Clients:
459- Ubuntu MAAS Server can manage DHCP for address allocation for
460- the provisioned systems. If the Ubuntu MAAS Server Gateway
461- address is not the default address (192.168.1.1), you must set
462- it here.
463-
464-Template: maas-dhcp/maas-dhcp-netmask
465-Type: string
466-Default: 255.255.255.0
467-_Description: Set the Netmask for the DHCP Network Range:
468- Ubuntu MAAS Server can manage DHCP for address allocation for
469- the provisioned systems. The DHCP requires you to set the
470- network mask address for the IP address range. If the Netmask
471- address is different from the default (255.255.255.0) you must
472- set it here.
473-
474-Template: maas-dhcp/maas-dhcp-broadcast
475-Type: string
476-Default: 192.168.1.255
477-_Description: Set the Broadcast IP address for the DHCP Network Range:
478- Ubuntu MAAS Server can manage DHCP for address allocation for
479- the provisioned systems. The DHCP server requires you to set the
480- broadcast IP address. If the broadcast IP address is different
481- from the default (192.168.1.255), you must set it here.
482-
483-Template: maas-dhcp/maas-dhcp-interface
484-Type: string
485-Default: eth0
486-_Description: Set the network interface that DHCP should listen on.
487- Ubuntu MAAS Server can manage DHCP for address allocation for
488- the provisioned systems. The DHCP server requires you to set a network
489- interface on which DHCP will serve IP addresses. The default is eth0.
490-
491-Template: maas-dhcp/maas-dhcp-addr
492-Type: string
493-Default:
494-_Description: The IP address at which nodes can reach the DHCP server
495- Ubuntu MAAS Server can manage DHCP for address allocation for
496- the provisioned systems. The DHCP server requires you to set an IP
497- address at which nodes can reach the DHCP server. If left blank
498- then the ip address of the dhcp-interface will be used.
499
500=== renamed file 'debian/maas.apport' => 'debian/maas-region-controller.apport'
501=== renamed file 'debian/maas.config' => 'debian/maas-region-controller.config'
502--- debian/maas.config 2012-08-28 16:13:25 +0000
503+++ debian/maas-region-controller.config 2012-09-28 07:21:21 +0000
504@@ -19,8 +19,8 @@
505
506 if ([ "$1" = "configure" ] && [ -z "$2" ]); then
507 # Hide maas/dbconfig-install question by setting default.
508- set_question maas/dbconfig-install true
509- set_question maas/pgsql/app-pass ""
510+ set_question maas-region-controller/dbconfig-install true
511+ set_question maas-region-controller/pgsql/app-pass ""
512
513 # source dbconfig-common shell library, and call the hook function
514 if [ -f /usr/share/dbconfig-common/dpkg/config.pgsql ]; then
515@@ -30,7 +30,7 @@
516 dbc_dbuser="maas"
517 dbc_remove="true"
518
519- dbc_go maas $@
520+ dbc_go maas-region-controller $@
521 fi
522
523 elif [ "$1" = "reconfigure" ] || [ -n "$DEBCONF_RECONFIGURE" ]; then
524
525=== renamed file 'debian/maas.dirs' => 'debian/maas-region-controller.dirs'
526=== renamed file 'debian/maas.install' => 'debian/maas-region-controller.install'
527--- debian/maas.install 2012-09-21 16:00:13 +0000
528+++ debian/maas-region-controller.install 2012-09-28 07:21:21 +0000
529@@ -1,6 +1,5 @@
530 # Install project
531 debian/tmp/usr/lib/python*/dist-packages/maas usr/share/maas
532-twisted/plugins/maasps.py usr/share/pyshared/twisted/plugins
533
534 # Install static files
535 debian/tmp/usr/share/maas/web/static
536@@ -11,19 +10,12 @@
537 # Install MAAS local settings
538 debian/tmp/etc/maas/maas_local_settings.py
539
540-# Install MAAS local celery settings
541-debian/tmp/etc/maas/maas_local_celeryconfig.py
542-
543 # Install WSGI
544 debian/tmp/usr/share/maas/wsgi.py
545
546-# Install PSERV, txlongpoll config files
547-debian/tmp/etc/maas/pserv.yaml
548+# Install txlongpoll config file
549 debian/tmp/etc/maas/txlongpoll.yaml
550
551-# Install Celery Config
552-debian/tmp/etc/maas/celeryconfig.py
553-
554 # Install maas-import-pxe-files
555 debian/tmp/usr/sbin/maas-import-pxe-files
556
557@@ -45,8 +37,6 @@
558
559 # Install all other stuff
560 debian/extras/maas usr/sbin
561-debian/extras/maas-provision usr/sbin
562 debian/extras/20-maas.conf etc/rsyslog.d
563 debian/extras/maas_remote_syslog_compress etc/cron.d
564 debian/extras/99-maas etc/squid-deb-proxy/mirror-dstdomain.acl.d
565-debian/extras/99-maas-sudoers etc/sudoers.d
566
567=== renamed file 'debian/maas.links' => 'debian/maas-region-controller.links'
568--- debian/maas.links 2012-09-21 16:00:13 +0000
569+++ debian/maas-region-controller.links 2012-09-28 07:21:21 +0000
570@@ -1,3 +1,1 @@
571 etc/maas/maas_local_settings.py usr/share/maas/maas_local_settings.py
572-etc/maas/maas_local_celeryconfig.py usr/share/maas/maas_local_celeryconfig.py
573-etc/maas/celeryconfig.py usr/share/maas/celeryconfig.py
574
575=== renamed file 'debian/maas.lintian-overrides' => 'debian/maas-region-controller.lintian-overrides'
576--- debian/maas.lintian-overrides 2012-04-10 19:26:20 +0000
577+++ debian/maas-region-controller.lintian-overrides 2012-09-28 07:21:21 +0000
578@@ -1,7 +1,7 @@
579-maas: embedded-javascript-library usr/share/maas/web/static/jslibs/yui/3.4.1/build/yui/yui-min.js
580-maas: extra-license-file usr/share/maas/web/static/jslibs/yui/3.4.1/docs/assets/panel/vendor/prettify/COPYING
581-maas: extra-license-file usr/share/maas/web/static/jslibs/yui/3.4.1/docs/assets/vendor/prettify/COPYING
582-maas: script-not-executable usr/share/maas/web/static/jslibs/yui/3.4.1/tests/loader/tests/server/server.js
583-maas: unusual-interpreter usr/share/maas/web/static/jslibs/yui/3.4.1/tests/loader/tests/server/server.js #!node
584-maas: postinst-uses-db-input
585-maas: binary-without-manpage usr/bin/maas
586+maas-region-controller: embedded-javascript-library usr/share/maas/web/static/jslibs/yui/3.4.1/build/yui/yui-min.js
587+maas-region-controller: extra-license-file usr/share/maas/web/static/jslibs/yui/3.4.1/docs/assets/panel/vendor/prettify/COPYING
588+maas-region-controller: extra-license-file usr/share/maas/web/static/jslibs/yui/3.4.1/docs/assets/vendor/prettify/COPYING
589+maas-region-controller: script-not-executable usr/share/maas/web/static/jslibs/yui/3.4.1/tests/loader/tests/server/server.js
590+maas-region-controller: unusual-interpreter usr/share/maas/web/static/jslibs/yui/3.4.1/tests/loader/tests/server/server.js #!node
591+maas-region-controller: postinst-uses-db-input
592+maas-region-controller: binary-without-manpage usr/bin/maas
593
594=== renamed file 'debian/maas.logrotate' => 'debian/maas-region-controller.logrotate'
595--- debian/maas.logrotate 2012-04-03 16:33:17 +0000
596+++ debian/maas-region-controller.logrotate 2012-09-28 07:21:21 +0000
597@@ -7,16 +7,6 @@
598 #create 620 root www-data
599 }
600
601-/var/log/maas/pserv.log {
602- rotate 5
603- weekly
604- compress
605- missingok
606- postrotate
607- [ -r /var/run/maas-pserv.pid ] && kill -s USR2 $(cat /var/run/maas-pserv.pid) || true
608- endscript
609-}
610-
611 /var/log/maas/txlongpoll.log {
612 rotate 5
613 weekly
614
615=== renamed file 'debian/maas.maas-txlongpoll.upstart' => 'debian/maas-region-controller.maas-txlongpoll.upstart'
616=== renamed file 'debian/maas.postinst' => 'debian/maas-region-controller.postinst'
617--- debian/maas.postinst 2012-09-27 09:46:06 +0000
618+++ debian/maas-region-controller.postinst 2012-09-28 07:21:21 +0000
619@@ -98,12 +98,6 @@
620 sed -i "s|^BROKER_URL\ \= '.*'$|BROKER_URL = '"$broker_url"'|" \
621 /etc/maas/maas_local_celeryconfig.py
622 fi
623-
624- if grep -qs "^CLUSTER_UUID\ \= None$" /etc/maas/maas_local_celeryconfig.py; then
625- local uuid="$(uuidgen)"
626- sed -i "s|^CLUSTER_UUID\ \= None$|CLUSTER_UUID = '"$uuid"'|" \
627- /etc/maas/maas_local_celeryconfig.py
628- fi
629 }
630
631 configure_maas_database() {
632@@ -230,11 +224,11 @@
633 restart_postgresql
634
635 # Create the database
636- dbc_go maas $@
637+ dbc_go maas-region-controller $@
638 configure_maas_database "$dbc_dbpass"
639
640 # Only syncdb if we have selected to install it with dbconfig-common.
641- db_get maas/dbconfig-install
642+ db_get maas-region-controller/dbconfig-install
643 if [ "$RET" = "true" ]; then
644 maas_sync_migrate_db
645 fi
646@@ -287,7 +281,7 @@
647 # Handle celery/rabbitmq publishing
648 configure_maas_workers_rabbitmq_user
649 # handle database upgrade
650- dbc_go maas $@
651+ dbc_go maas-region-controller $@
652 configure_maas_database "$dbc_dbpass"
653 fi
654
655
656=== renamed file 'debian/maas.postrm' => 'debian/maas-region-controller.postrm'
657--- debian/maas.postrm 2012-09-21 16:54:02 +0000
658+++ debian/maas-region-controller.postrm 2012-09-28 07:21:21 +0000
659@@ -7,7 +7,7 @@
660 if [ -f /etc/dbconfig-common/maas.conf ]; then
661 if [ -f /usr/share/dbconfig-common/dpkg/postrm ]; then
662 . /usr/share/dbconfig-common/dpkg/postrm.pgsql
663- dbc_go maas $@
664+ dbc_go maas-region-controller $@
665 fi
666 fi
667
668
669=== renamed file 'debian/maas.prerm' => 'debian/maas-region-controller.prerm'
670--- debian/maas.prerm 2012-09-04 16:57:27 +0000
671+++ debian/maas-region-controller.prerm 2012-09-28 07:21:21 +0000
672@@ -13,6 +13,6 @@
673 fi
674
675 . /usr/share/dbconfig-common/dpkg/prerm.pgsql
676-dbc_go maas $@
677+dbc_go maas-region-controller $@
678
679 exit 0
680
681=== renamed file 'debian/maas.templates' => 'debian/maas-region-controller.templates'
682--- debian/maas.templates 2012-04-17 22:35:30 +0000
683+++ debian/maas-region-controller.templates 2012-09-28 07:21:21 +0000
684@@ -10,7 +10,7 @@
685 If the automatically detected address above is not in the same
686 network as the MAAS clients, you need to reconfigure it:
687 .
688- sudo dpkg-reconfigure maas
689+ sudo dpkg-reconfigure maas-region-controller
690
691 Template: maas/default-maas-url
692 Type: string
693
694=== removed file 'debian/maas.maas-celery.upstart'
695--- debian/maas.maas-celery.upstart 2012-09-26 16:34:47 +0000
696+++ debian/maas.maas-celery.upstart 1970-01-01 00:00:00 +0000
697@@ -1,21 +0,0 @@
698-# maas-celery - celery daemon
699-#
700-# MAAS Celery Daemon
701-
702-description "MAAS"
703-author "Andres Rodriguez <andres.rodriguez@canonical.com>"
704-
705-start on filesystem and net-device-up
706-stop on runlevel [016]
707-
708-respawn
709-
710-setuid maas
711-setgid maas
712-
713-env PYTHONPATH="/usr/share/maas/"
714-# To add options to your daemon, edit the line below:
715-# NOTE: Config is picked up from PYTHONPATH.
716-# In this case is picked up from /usr/share/maas/celeryconfig.py,
717-# which is a symlink to /etc/maas/celeryconfig.py
718-exec /usr/bin/celeryd --logfile=/var/log/maas/celery.log --loglevel=INFO --beat --schedule=/var/lib/maas/celerybeat-schedule -Q celery,master
719
720=== modified file 'debian/python-django-maas.install'
721--- debian/python-django-maas.install 2012-03-07 17:38:33 +0000
722+++ debian/python-django-maas.install 2012-09-28 07:21:21 +0000
723@@ -1,3 +1,2 @@
724 debian/tmp/usr/lib/python*/dist-packages/maasserver
725 debian/tmp/usr/lib/python*/dist-packages/metadataserver
726-debian/tmp/usr/lib/python*/dist-packages/provisioningserver
727
728=== added file 'debian/python-maas-provisioningserver.install'
729--- debian/python-maas-provisioningserver.install 1970-01-01 00:00:00 +0000
730+++ debian/python-maas-provisioningserver.install 2012-09-28 07:21:21 +0000
731@@ -0,0 +1,1 @@
732+debian/tmp/usr/lib/python*/dist-packages/provisioningserver

Subscribers

People subscribed via source and target branches